# OGRStyleTable Class Reference

`#include <ogr_featurestyle.h>`

List of all members.

## Public Member Functions
GBool | AddStyle (const char *pszName, const char *pszStyleString)
| Add a new style in the table. No comparison will be done on the Style string, only on the name.
GBool | RemoveStyle (const char *pszName)
| Remove a style in the table by its name.
GBool | ModifyStyle (const char *pszName, const char *pszStyleString)
| Modify a style in the table by its name If the style does not exist, it will be added.
GBool | SaveStyleTable (const char *pszFilename)
| Save a style table to a file.
GBool | LoadStyleTable (const char *pszFilename)
| Load a style table from a file.
const char * | Find (const char *pszStyleString)
| Get a style string by name.
GBool | IsExist (const char *pszName)
| Get the index of a style in the table by its name.
const char * | GetStyleName (const char *pszName)
| Get style name by style string.
void | Print (FILE *fpOut)
| Print a style table to a FILE pointer.
void | Clear ()
| Clear a style table.
OGRStyleTable * | Clone ()
| Duplicate style table.

## Detailed Description

This class represents a style table

## Member Function Documentation

GBool OGRStyleTable::AddStyle | ( | const char * | pszName,
|  | const char * | pszStyleString |
| ) |  |  |

Add a new style in the table. No comparison will be done on the Style string, only on the name.

Parameters:

  | pszName | the name the style to add.
  | pszStyleString | the style string to add.

Returns:
  TRUE on success, FALSE on error

References IsExist().

Referenced by OGRStyleMgr::AddStyle(), and ModifyStyle().

GBool OGRStyleTable::RemoveStyle | ( | const char * | pszName | ) |

Remove a style in the table by its name.

Parameters:

  | pszName | the name of the style to remove.

Returns:
  TRUE on success, FALSE on error

References IsExist().

Referenced by ModifyStyle().

GBool OGRStyleTable::ModifyStyle | ( | const char * | pszName,
|  | const char * | pszStyleString |
| ) |  |  |

Modify a style in the table by its name If the style does not exist, it will be added.

Parameters:

  | pszName | the name of the style to modify.
  | pszStyleString | the style string.

Returns:
  TRUE on success, FALSE on error

References AddStyle(), and RemoveStyle().

GBool OGRStyleTable::SaveStyleTable | ( | const char * | pszFilename | ) |

Save a style table to a file.

Parameters:

  | pszFilename | the name of the file to save to.

Returns:
  TRUE on success, FALSE on error

GBool OGRStyleTable::LoadStyleTable | ( | const char * | pszFilename | ) |

Load a style table from a file.

Parameters:

  | pszFilename | the name of the file to load from.

Returns:
  TRUE on success, FALSE on error

const char * OGRStyleTable::Find | ( | const char * | pszName | ) |

Get a style string by name.

Parameters:

  | pszName | the name of the style string to find.

Returns:
  the style string matching the name, NULL if not found or error.

References IsExist().

Referenced by OGRStyleMgr::GetStyleByName().

int OGRStyleTable::IsExist | ( | const char * | pszName | ) |

Get the index of a style in the table by its name.

Parameters:

  | pszName | the name to look for.

Returns:
  The index of the style if found, -1 if not found or error.

Referenced by AddStyle(), Find(), and RemoveStyle().

const char * OGRStyleTable::GetStyleName | ( | const char * | pszStyleString | ) |

Get style name by style string.

Parameters:

  | pszStyleString | the style string to look up.

Returns:
  the Name of the matching style string or NULL on error.

Referenced by OGRStyleMgr::GetStyleName().

void OGRStyleTable::Print | ( | FILE * | fpOut | ) |

Print a style table to a FILE pointer.

Parameters:

  | fpOut | the FILE pointer to print to.

OGRStyleTable * OGRStyleTable::Clone | ( |  | ) |

Duplicate style table.

The newly created style table is owned by the caller, and will have it's own reference to the OGRStyleTable.

Returns:
  new style table, exactly matching this style table.

References m_papszStyleTable.

Referenced by OGRLayer::SetStyleTable(), and OGRDataSource::SetStyleTable().

The documentation for this class was generated from the following files:

- ogr_featurestyle.h
- ogrfeaturestyle.cpp

Generated for GDAL by 1.5.6.